Bug 1856633

Summary: ImageMagick-docs top-level index.html file contains broken links
Product: [Fedora] Fedora Reporter: Rowan Bowler <rhbugzilla-mail>
Component: ImageMagickAssignee: Michael Cronenworth <mike>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 32CC: fedora, mike, pahan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ImageMagick-6.9.11.27-1.fc32 ImageMagick-6.9.11.27-1.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-17 01:13:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rowan Bowler 2020-07-14 06:02:38 UTC
Description of problem:

Links in /usr/share/doc/ImageMagick-6/index.html point to www/www/FILENAME.html, making it impossible to navigate to them when browsing the file using a GUI web browser or elinks.

Version-Release number of selected component (if applicable):
ImageMagick 6 on Fedora 32

How reproducible:
Always

Steps to Reproduce:
1. Install ImageMagick-docs from the Fedora repo
2. In a web browser, go to file:///usr/share/doc/ImageMagick-6/index.html
3. Click on Tools

Actual results:
file:///usr/share/doc/ImageMagick-6/www/www/command-line-tools.html: file not found

Expected results:
Link should point to www/command-line-tools.html.  This is true for most or all links in this file.

Additional info:
The index.html file in the www/ subdirectory wokrs as expected.  Therefore, in order to browse the ImageMagick documentation one has to go to:
    file:///usr/share/doc/ImageMagick-6/www/index.html
However once there, clicking on the magic wand icon takes you to the broken index.html file in the parent directory of the www/ subdirectory.

Comment 1 Michael Cronenworth 2020-07-30 18:57:18 UTC
Yeah there are duplicate index.html files.

/usr/share/doc/ImageMagick-6/index.html (bad links)
/usr/share/doc/ImageMagick-6/www/index.html (good links)

They are about 90% the same. I'll see what upstream thinks.

https://github.com/ImageMagick/ImageMagick6/issues/89

Comment 2 Michael Cronenworth 2020-07-31 00:40:32 UTC
Upstream just commited a fix for it. The next release will have it fixed.

Comment 3 Fedora Update System 2020-08-12 12:27:07 UTC
FEDORA-2020-512c0730b2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-512c0730b2

Comment 4 Fedora Update System 2020-08-12 12:35:18 UTC
FEDORA-2020-94bdca38d7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-94bdca38d7

Comment 5 Fedora Update System 2020-08-13 01:52:36 UTC
FEDORA-2020-512c0730b2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-512c0730b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-512c0730b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-13 02:24:17 UTC
FEDORA-2020-94bdca38d7 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-94bdca38d7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-94bdca38d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-17 01:13:54 UTC
FEDORA-2020-512c0730b2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-21 02:08:20 UTC
FEDORA-2020-94bdca38d7 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.